-- Programmed by Sly DC - November 26, 2012
-- Nixon Newton Digital Simulator v0.1-1
-- Thanks to Santos for the blanking 1st digit solution :)

-- TO DO:
-- * BUG: When displaying 24H mode, can't access the date mode (F6)
-- * Do hidden "Pong game :)
-- * Game won't start until either a button is pressed
-- * Maybe do different color LCD screen (inverted, blue, red, green, etc.)

-- * Delay is 3 seconds when maintaining a button for setup , do it ? (the fudge with it...)
-- * Hold "B" button for 3 secs (when in game mode) for returning to "time" mode (the fudge with it...)
-- * Maybe do button sequence for activating game ? (U-D-U-D-U-U-D-D) (the fudge with it...just press "F12")

local bip_sound =love.audio.newSource("data/bip.wav","static")   

function love.load()
	math.randomseed(os.time())                                                       -- for timer (later)
    love.mouse.setVisible(false)
    screen_width = 800
    screen_height = 600
    bipstate = true
    showdate = false
    armytime = false
    manual = false
	bglight = false
    startgame = false
    selectdigits = 1
    normaldigit = true
    inverteddigit = false  
	reddigit = false
	greendigit = false
	bluedigit = false
	orangedigit = false
	violetdigit = false
    vectordigit = false
    love.graphics.setCaption('Nixon Newton Simulator v0.1-1 (TEST)')                  -- text display in window mode
    love.graphics.setMode(screen_width, screen_height, true)                         -- put "false" for booting in window mode
 	backgrnd0 = love.graphics.newImage("data/bg02.png")   
 	backgrnd1 = love.graphics.newImage("data/bg03.png")   
    digits = love.graphics.newImageFont("data/digits00.png", "1234567890 :")          -- normal font digits
    digits2 = love.graphics.newImageFont("data/digits01.png", "1234567890 :")         -- inverted font digits
    digits3 = love.graphics.newImageFont("data/digits02.png", "1234567890 :")         -- red font digits
    digits4 = love.graphics.newImageFont("data/digits03.png", "1234567890 :")         -- green font digits
    digits5 = love.graphics.newImageFont("data/digits04.png", "1234567890 :")         -- blue font digits
    digits6 = love.graphics.newImageFont("data/digits05.png", "1234567890 :")         -- orange font digits
    digits7 = love.graphics.newImageFont("data/digits06.png", "1234567890 :")         -- violet font digits
    digits8 = love.graphics.newImageFont("data/digits07.png", "1234567890 :")         -- vector font digits
    light = love.graphics.newImage("data/light02.png")
	manualw = love.graphics.newImage("data/manual.png")
	gameshot = love.graphics.newImage("data/shot00.png")   -- to delete when game is done (preview teaser)
end

function love.update(dt)
	if showdate == false then return end
	if armytime == false then return end
	if bglight == false then return end
	if manual == false then return end
	if startgame == false then return end
end

function love.draw()
	if selectdigits == 1 then normaldigit = true   
 	love.graphics.draw(backgrnd0, 0, 0)
	love.graphics.setFont(digits)
    local hour = tonumber(os.date("%I"))                                            -- display hour
    if hour < 10 then hour = ' ' .. hour end
    love.graphics.print(hour,287,174)
    local minute = os.date("%M")                                                    -- display minutes
    love.graphics.print(minute,287,294)
    end
    if selectdigits == 2 then inverteddigit = true 
 	love.graphics.draw(backgrnd1, 0, 0)
	love.graphics.setFont(digits2)
    local hour = tonumber(os.date("%I"))                                            -- display hour
    if hour < 10 then hour = ' ' .. hour end
    love.graphics.print(hour,287,174)
    local minute = os.date("%M")                                                    -- display minutes
    love.graphics.print(minute,287,294)
	end
	if selectdigits == 3 then reddigit = true
 	love.graphics.draw(backgrnd1, 0, 0)
	love.graphics.setFont(digits3)
    local hour = tonumber(os.date("%I"))                                            -- display hour
    if hour < 10 then hour = ' ' .. hour end
    love.graphics.print(hour,287,174)
    local minute = os.date("%M")                                                    -- display minutes
    love.graphics.print(minute,287,294)
	end
    if selectdigits == 4 then greendigit = true
 	love.graphics.draw(backgrnd1, 0, 0)
	love.graphics.setFont(digits4)
    local hour = tonumber(os.date("%I"))                                            -- display hour
    if hour < 10 then hour = ' ' .. hour end
    love.graphics.print(hour,287,174)
    local minute = os.date("%M")                                                    -- display minutes
    love.graphics.print(minute,287,294)
	end
    if selectdigits == 5 then bluedigit = true
 	love.graphics.draw(backgrnd1, 0, 0)
	love.graphics.setFont(digits5)
    local hour = tonumber(os.date("%I"))                                            -- display hour
    if hour < 10 then hour = ' ' .. hour end
    love.graphics.print(hour,287,174)
    local minute = os.date("%M")                                                    -- display minutes
    love.graphics.print(minute,287,294)
	end
	if selectdigits == 6 then orangedigit = true
 	love.graphics.draw(backgrnd1, 0, 0)
	love.graphics.setFont(digits6)
    local hour = tonumber(os.date("%I"))                                            -- display hour
    if hour < 10 then hour = ' ' .. hour end
    love.graphics.print(hour,287,174)
    local minute = os.date("%M")                                                    -- display minutes
    love.graphics.print(minute,287,294)
	end
	if selectdigits == 7 then violetdigit = true
 	love.graphics.draw(backgrnd1, 0, 0)
	love.graphics.setFont(digits7)
    local hour = tonumber(os.date("%I"))                                            -- display hour
    if hour < 10 then hour = ' ' .. hour end
    love.graphics.print(hour,287,174)
    local minute = os.date("%M")                                                    -- display minutes
    love.graphics.print(minute,287,294)
	end
	if selectdigits == 8 then vectordigit = true              
 	love.graphics.draw(backgrnd1, 0, 0)
	love.graphics.setFont(digits8)
    local hour = tonumber(os.date("%I"))                                            -- display hour
    if hour < 10 then hour = ' ' .. hour end
    love.graphics.print(hour,287,174)
    local minute = os.date("%M")                                                    -- display minutes
    love.graphics.print(minute,287,294)
	end
	if armytime == true then drawArmy() end
	if showdate == true then drawDate() end
	if startgame == true then drawShot() end
	if bglight == true then drawLight() end
	if manual == true then drawManual() end
end

function love.keypressed(key)
    if key == 'escape' then love.event.quit() end
    if key == "f1" then                                                             -- toggles full screen or window mode
        love.graphics.toggleFullscreen()
        isFullscreen = not isFullscreen
    end
	if key == "f4" then selectdigits = selectdigits + 1 end                         -- Select different displays
	if selectdigits >= 8 then selectdigits = 1 	end   
    if key == 'f5' then                                                             -- "A" button (Light)
		bip_sound:stop()
        bip_sound:play()
        if bglight == false then bglight = true else bglight = false end
    end		
    if key == 'f6' then                                                             -- "B" button (Time/Date)
        if showdate == false then showdate = true else showdate = false end
		bip_sound:stop()
        bip_sound:play()
    end
	if key == 'f7' then                                                             -- "C" button (12h/24h)
	    if armytime == false then armytime = true else armytime = false end
		bip_sound:stop()
        bip_sound:play()
	end	
    if key == 'f8' then                                                             -- "D" button (Sound on/off)
        if bipstate == true then 
		    bipstate = false
            bip_sound:setVolume(0.0)   
            else bipstate = true 
            bip_sound:setVolume(1.0)    
        end
	end	
	if key == 'f9' then 
        if manual == false then manual = true else manual = false end	
    end
	if key == 'f12' then
	    if startgame == false then startgame = true else startgame = false end
	end	
 	if key == 'left' then --player.x = player.x - 00 (will define values when coding game)
		bip_sound:stop()
        bip_sound:play()
	end
	if key == 'right' then --player.x = player.x + 00 (will define values when coding game)
		bip_sound:stop()
        bip_sound:play()
	end
end

function drawLight()
    love.graphics.draw(light, 275, 167)  
end	

function drawDate()
    local month = tonumber(os.date("%m"))                                            -- display month
    love.graphics.print(month,287,174)
    local day = os.date("%d")                                                        -- display day of month
    love.graphics.print(day,287,294)
end

function drawArmy()
    local army = tonumber(os.date("%H"))                                             -- display army time (24H)
    love.graphics.print(army,287,174)
    local minute = os.date("%M")                                                     -- display minutes
    love.graphics.print(minute,287,294)
end
	
function drawManual()
    love.graphics.draw(manualw, 0, 0)
end	

function drawShot()
    love.graphics.draw(gameshot, 275, 167)
end	